// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/blauwe-knop/vorderingenoverzicht/app-management-service/pkg/repositories (interfaces: RegistrationRepository)
//
// Generated by this command:
//
//	mockgen -destination=./../test/mock/registration_repository.go -package=mock gitlab.com/blauwe-knop/vorderingenoverzicht/app-management-service/pkg/repositories RegistrationRepository
//

// Package mock is a generated GoMock package.
package mock

import (
	reflect "reflect"

	healthcheck "gitlab.com/blauwe-knop/common/health-checker/pkg/healthcheck"
	model "gitlab.com/blauwe-knop/vorderingenoverzicht/app-management-service/pkg/model"
	gomock "go.uber.org/mock/gomock"
)

// MockRegistrationRepository is a mock of RegistrationRepository interface.
type MockRegistrationRepository struct {
	ctrl     *gomock.Controller
	recorder *MockRegistrationRepositoryMockRecorder
	isgomock struct{}
}

// MockRegistrationRepositoryMockRecorder is the mock recorder for MockRegistrationRepository.
type MockRegistrationRepositoryMockRecorder struct {
	mock *MockRegistrationRepository
}

// NewMockRegistrationRepository creates a new mock instance.
func NewMockRegistrationRepository(ctrl *gomock.Controller) *MockRegistrationRepository {
	mock := &MockRegistrationRepository{ctrl: ctrl}
	mock.recorder = &MockRegistrationRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockRegistrationRepository) EXPECT() *MockRegistrationRepositoryMockRecorder {
	return m.recorder
}

// Create mocks base method.
func (m *MockRegistrationRepository) Create(Registration model.Registration) (*model.Registration, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", Registration)
	ret0, _ := ret[0].(*model.Registration)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Create indicates an expected call of Create.
func (mr *MockRegistrationRepositoryMockRecorder) Create(Registration any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*MockRegistrationRepository)(nil).Create), Registration)
}

// Delete mocks base method.
func (m *MockRegistrationRepository) Delete(id string) (*model.Registration, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Delete", id)
	ret0, _ := ret[0].(*model.Registration)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Delete indicates an expected call of Delete.
func (mr *MockRegistrationRepositoryMockRecorder) Delete(id any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Delete", reflect.TypeOf((*MockRegistrationRepository)(nil).Delete), id)
}

// Get mocks base method.
func (m *MockRegistrationRepository) Get(id string) (*model.Registration, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Get", id)
	ret0, _ := ret[0].(*model.Registration)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Get indicates an expected call of Get.
func (mr *MockRegistrationRepositoryMockRecorder) Get(id any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Get", reflect.TypeOf((*MockRegistrationRepository)(nil).Get), id)
}

// GetHealthCheck mocks base method.
func (m *MockRegistrationRepository) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockRegistrationRepositoryMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockRegistrationRepository)(nil).GetHealthCheck))
}

// List mocks base method.
func (m *MockRegistrationRepository) List() (*[]model.Registration, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "List")
	ret0, _ := ret[0].(*[]model.Registration)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// List indicates an expected call of List.
func (mr *MockRegistrationRepositoryMockRecorder) List() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "List", reflect.TypeOf((*MockRegistrationRepository)(nil).List))
}

// Update mocks base method.
func (m *MockRegistrationRepository) Update(id string, Registration model.Registration) (*model.Registration, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Update", id, Registration)
	ret0, _ := ret[0].(*model.Registration)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Update indicates an expected call of Update.
func (mr *MockRegistrationRepositoryMockRecorder) Update(id, Registration any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Update", reflect.TypeOf((*MockRegistrationRepository)(nil).Update), id, Registration)
}
